/* ***** BEGIN LICENSE BLOCK *****
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the NPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the NPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

	//	
	//	Funktionen der preferences-Dialoge
	//	


function dizzyPrefsGenerateCMD( os )
	{
	var par;
	var cmd;
	var hlp = 'For the correct path of the command take a look at\nenvironment-variable ';

	if( myOSis("Win32") )
		{
		cmd = 'c:\\winnt\\system32\\cmd.exe';	// $ENV{'COMSPEC'}
		par = '/D /C echo atd $DIENUMMER > ' +
			document.getElementById( "pref-cmd-com" ).value;
		hlp = hlp + 'COMSPEC (cmdline:> echo %COMSPEC%)';
		}

	else if( myOSis("OS/2") )
		{
		cmd = 'c:\\os2\\cmd.exe';
		par = '/D /C echo atd $DIENUMMER > ' +
			document.getElementById( "pref-cmd-com" ).value;
		hlp = hlp + 'COMSPEC (cmdline:> echo %COMSPEC%)';
		}

	else if( myOSis("OpenVMS") )
		{
		cmd = 'PIPE';
		par = 'WRITE "atd $DIENUMMER" SYS$OUTPUT > ' +
			document.getElementById( "pref-cmd-com" ).value;
		hlp = 'ATN: this commandsequence is not verified!';
		}

	else	// assume it is some Unix
		{
		cmd = '/bin/sh';			// $ENV{'SHELL')
		par = '-c "echo atd $DIENUMMER > ' +
			document.getElementById( "pref-cmd-tty" ).value +'"';
		hlp = hlp + 'SHELL (cmdline:> echo $SHELL)';
		}


	if( confirm( "Proposed setup:\nCommand: "+cmd + "\nParameter: "+par+'\n'+hlp ) )
		{
		document.getElementById("dizzy-waehlkommando" ).value = cmd;
		document.getElementById("dizzy-waehlparameter").value = par;
		}
	}




function dizzyPrefsGenerateFaxCMD( os )
	{
	var par;
	var cmd;
	var hlp = 'For the correct path of the command take a look at\nenvironment-variable ';

	if( myOSis("Win32") )
		{
		cmd = 'c:\\winnt\\system32\\cmd.exe';	// $ENV{'COMSPEC'}
		par = '/D /C echo atd $DIENUMMER > ' +
			document.getElementById( "pref-cmd-comFax" ).value;
		hlp = hlp + 'COMSPEC (cmdline:> echo %COMSPEC%)';
		}

	else if( myOSis("OS/2") )
		{
		cmd = 'c:\\os2\\cmd.exe';
		par = '/D /C echo atd $DIENUMMER > ' +
			document.getElementById( "pref-cmd-comFax" ).value;
		hlp = hlp + 'COMSPEC (cmdline:> echo %COMSPEC%)';
		}

	else if( myOSis("OpenVMS") )
		{
		cmd = 'PIPE';
		par = 'WRITE "atd $DIENUMMER" SYS$OUTPUT > ' +
			document.getElementById( "pref-cmd-comFax" ).value;
		hlp = 'ATN: this commandsequence is not verified!';
		}

	else	// assume it is some Unix
		{
		cmd = '/bin/sh';			// $ENV{'SHELL')
		par = '-c "echo atd $DIENUMMER > ' +
			document.getElementById( "pref-cmd-ttyFax" ).value +'"';
		hlp = hlp + 'SHELL (cmdline:> echo $SHELL)';
		}


	if( confirm( "Proposed setup:\nCommand: "+cmd + "\nParameter: "+par+'\n'+hlp ) )
		{
		document.getElementById("dizzy-waehlkommandoFax" ).value = cmd;
		document.getElementById("dizzy-waehlparameterFax").value = par;
		}
	}




function dizzyPrefsGenerateModemCMD( os )
	{
	var par;
	var cmd;
	var hlp = 'For the correct path of the command take a look at\nenvironment-variable ';

	if( myOSis("Win32") )
		{
		cmd = 'c:\\winnt\\system32\\cmd.exe';	// $ENV{'COMSPEC'}
		par = '/D /C echo atd $DIENUMMER > ' +
			document.getElementById( "pref-cmd-comModem" ).value;
		hlp = hlp + 'COMSPEC (cmdline:> echo %COMSPEC%)';
		}

	else if( myOSis("OS/2") )
		{
		cmd = 'c:\\os2\\cmd.exe';
		par = '/D /C echo atd $DIENUMMER > ' +
			document.getElementById( "pref-cmd-comModem" ).value;
		hlp = hlp + 'COMSPEC (cmdline:> echo %COMSPEC%)';
		}

	else if( myOSis("OpenVMS") )
		{
		cmd = 'PIPE';
		par = 'WRITE "atd $DIENUMMER" SYS$OUTPUT > ' +
			document.getElementById( "pref-cmd-comModem" ).value;
		hlp = 'ATN: this commandsequence is not verified!';
		}

	else	// assume it is some Unix
		{
		cmd = '/bin/sh';			// $ENV{'SHELL')
		par = '-c "echo atd $DIENUMMER > ' +
			document.getElementById( "pref-cmd-ttyModem" ).value +'"';
		hlp = hlp + 'SHELL (cmdline:> echo $SHELL)';
		}


	if( confirm( "Proposed setup:\nCommand: "+cmd + "\nParameter: "+par+'\n'+hlp ) )
		{
		document.getElementById("dizzy-waehlkommandoModem" ).value = cmd;
		document.getElementById("dizzy-waehlparameterModem").value = par;
		}
	}




function dizzyPrefsChangePBX()
	{
	if( document.getElementById( "dizzy-check-anlage" ).checked )
		{
		document.getElementById( "dizzy-amtskennziffer" ).disabled = false;
		document.getElementById( "dizzy-pre0" ).disabled = false;
		document.getElementById( "dizzy-pre1" ).disabled = false;
		document.getElementById( "dizzy-pre2" ).disabled = false;
		document.getElementById( "dizzy-pre3" ).disabled = false;
		document.getElementById( "dizzy-pre4" ).disabled = false;
		document.getElementById( "dizzy-pre5" ).disabled = false;
		document.getElementById( "dizzy-pre6" ).disabled = false;
		document.getElementById( "dizzy-pre7" ).disabled = false;
		document.getElementById( "dizzy-pre8" ).disabled = false;
		document.getElementById( "dizzy-pre9" ).disabled = false;
		}	
	else
		{
		document.getElementById( "dizzy-amtskennziffer" ).disabled = true;
		document.getElementById( "dizzy-pre0" ).disabled = true;
		document.getElementById( "dizzy-pre1" ).disabled = true;
		document.getElementById( "dizzy-pre2" ).disabled = true;
		document.getElementById( "dizzy-pre3" ).disabled = true;
		document.getElementById( "dizzy-pre4" ).disabled = true;
		document.getElementById( "dizzy-pre5" ).disabled = true;
		document.getElementById( "dizzy-pre6" ).disabled = true;
		document.getElementById( "dizzy-pre7" ).disabled = true;
		document.getElementById( "dizzy-pre8" ).disabled = true;
		document.getElementById( "dizzy-pre9" ).disabled = true;
		}
	}

function showComposedNumber( )
	{
	var cc = document.getElementById( "countrycodes" ).value;
	var ia = document.getElementById( "dizzy-vorwahlintlamt" ).value;
	var lk = document.getElementById( "dizzy-landeskennzahl" ).value;
	var va = document.getElementById( "dizzy-vorwahlfernamt" ).value;
	var rn = document.getElementById( "dizzy-rufnummer" ).value;

	// An beide einen '-xxx' anfuegen, wenn es eine Anlage gibt.

	if( mLibGetBoolPref("flag.havepbx", false) ) { rn = rn + "-XXX"; }

	document.getElementById("dizzy-int-erg").value = '+'+cc+'('+lk+')'+rn;
	document.getElementById("dizzy-nat-erg").value = va+'-'+lk+'-'+rn;

	// hack: hope the e164cc.rdf has now been loaded, so rebuild the menu
	document.getElementById( "countrycodes" ).builder.rebuild( );
	}


function onloadPrefs( )
	{
	parent.initPanel( "chrome://dizzy/content/dizzyPrefs.xul" );
	
//	document.getElementById( "dizzy-lrufile" ).value = getUserDir( "PrefD" );
//	= document.getElementById( "display" ).datasources;
//	appendFileToPath( getUserDir( "PrefD" ), "dizzyLRD.rdf" )

	// give a little time to load and draw the e164cc.rdf and dialog
	window.setTimeout( 'showComposedNumber()', 100 );
	}

function onloadPrefsPBX( )
	{
	parent.initPanel( "chrome://dizzy/content/dizzyPrefsPBX.xul" );
	dizzyPrefsChangePBX( );
	}

function onloadPrefsCMD( )
	{
	parent.initPanel( "chrome://dizzy/content/dizzyPrefsCMD.xul" );

	// setup Button for generation of demo command, depends on OS
	// there are two of them, just hide the other one.
	//
	if( myOSis("Win32") || myOSis("OS/2") )
		{
		document.getElementById( "pref-btn-tty" ).hidden = true;
		document.getElementById( "pref-cmd-tty" ).hidden = true;
		document.getElementById( "pref-btn-ttyFax" ).hidden = true;
		document.getElementById( "pref-cmd-ttyFax" ).hidden = true;
		document.getElementById( "pref-btn-ttyModem" ).hidden = true;
		document.getElementById( "pref-cmd-ttyModem" ).hidden = true;
		}
	else
		{
		document.getElementById( "pref-btn-com" ).hidden = true;
		document.getElementById( "pref-cmd-com" ).hidden = true;
		document.getElementById( "pref-btn-comFax" ).hidden = true;
		document.getElementById( "pref-cmd-comFax" ).hidden = true;
		document.getElementById( "pref-btn-comModem" ).hidden = true;
		document.getElementById( "pref-cmd-comModem" ).hidden = true;
		}
	}
