/* ***** BEGIN LICENSE BLOCK *****
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the NPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the NPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

var PREF_CTRID = "@mozilla.org/preferences-service;1";
var nsIPrefService = Components.interfaces.nsIPrefService;
// var nsIPrefBranch = Components.interfaces.nsIPrefBranch;
var prefService = Components.classes[PREF_CTRID].getService( nsIPrefService );
var prefBranch  = prefService.getBranch( "dizzy." );

function mLibGetCharPref( prefName, defaultValue )
	{
	var e;

	try { return prefBranch.getCharPref( prefName ); }
	catch( e ) { }
	return defaultValue;
	}


function mLibGetIntPref( prefName, defaultValue )
	{
	var e;

	try { return prefBranch.getIntPref( prefName ); }
	catch( e ) { }
	return defaultValue;
	}


function mLibGetBoolPref( prefName, defaultValue )
	{
	var e;

	try { return prefBranch.getBoolPref( prefName ); }
	catch( e ) { }
	return defaultValue;
	}

function mLibSetCharPref( prefName, value )
	{
	return prefBranch.setCharPref( prefName, value );
	}

function mLibSetIntPref( prefName, value )
	{
	return prefBranch.setIntPref( prefName, value );
	}

function mLibSetBoolPref( prefName, value )
	{
	return prefBranch.setBoolPref( prefName, value );
	}

function mLibGetUnicharPref( prefName, defaultValue )
	{
	try	{
		return prefBranch.getComplexValue( prefName, Components.interfaces.nsISupportsString ).data;
		}
	catch( e )
		{
		return defaultValue;
		}
	}

function mLibSetUnicharPref( prefName, value )
	{
	var str = Components.classes["@mozilla.org/supports-string;1"].createInstance( Components.interfaces.nsISupportsString );
	str.data = value;
	prefBranch.setComplexValue( prefName, Components.interfaces.nsISupportsString, str );
	}

function mLibFlushPrefs( )
	{
	prefService.savePrefFile( null );
	}
